Skip to main content
GET
/
preview
/
catalog
/
products
/
batch
/
report
/
{operation-token}
/preview/catalog/products/batch/report/{operation-token}
curl --request GET \
  --url https://api.criteo.com/preview/catalog/products/batch/report/{operation-token} \
  --header 'Authorization: Bearer <token>'
{
  "errorDetails": [
    {
      "errors": [
        {
          "isServerRelated": true,
          "message": "<string>"
        }
      ],
      "productId": "<string>"
    }
  ],
  "importRequestTimestamp": "<string>",
  "numberOfProductsDeleted": "<string>",
  "numberOfProductsInTheBatch": "<string>",
  "numberOfProductsUpserted": "<string>",
  "numberOfProductsWithErrors": "<string>",
  "numberOfProductsWithWarnings": "<string>",
  "warningDetails": [
    {
      "productId": "<string>",
      "warnings": [
        {
          "isServerRelated": true,
          "message": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

operation-token
string
required

The token returned by the batch endpoint.

Response

200 - application/json

The report object

The report on a given operationToken is ready. The report is available for 4 days

errorDetails
object[]
required

The list of errors with details.

importRequestTimestamp
string<int64> | null
required

The date when the original batch request was sent.

numberOfProductsDeleted
string<int32> | null
required

The number of products deleted.

numberOfProductsInTheBatch
string<int32> | null
required

The number of products present in the batch.

numberOfProductsUpserted
string<int32> | null
required

The number of products upserted.

numberOfProductsWithErrors
string<int32> | null
required

The number of products with errors.

numberOfProductsWithWarnings
string<int32> | null
required

The number of products with Warnings.

status
enum<string>
required

The status of the operation. The operation is completed when the status is one of (VALIDATED,VALIDATED_WITH_ERRORS,FAILED)

Available options:
ACCEPTED,
IN_PROGRESS,
VALIDATED,
VALIDATED_WITH_ERRORS,
FAILED
warningDetails
object[]
required

The list of Warnings with details.